﻿
Public Class Configuration
    Private _uid As String
    Private _name As String
    Private _settings As UserSetting

    Public Property UID() As String
        Get
            Return _uid
        End Get
        Set(value As String)
            _uid = value
        End Set
    End Property

    Public Property Name() As String
        Get
            Return _name
        End Get
        Set(value As String)
            _name = value
        End Set
    End Property

    Public Property Settings As UserSetting
        Get
            Return _settings
        End Get
        Set(value As UserSetting)
            _settings = value
        End Set
    End Property

    Public Class UserSetting
        Private _gameTime As String
        Private _halfTime As String
        Private _timeOutTime As String
        Private _gamePeriods As String
        Private ReadOnly _cupMatch As Boolean = False
        Private _extraTime As String
        Private _extraHalftime As String
        Private _extraTimeRounds As String

        Public Property GameTime() As String
            Get
                Return _gameTime
            End Get
            Set(value As String)
                _gameTime = value
            End Set
        End Property

        Public Property HalfTime() As String
            Get
                Return _halfTime
            End Get
            Set(value As String)
                _halfTime = value
            End Set
        End Property

        Public Property TimeoutTime() As String
            Get
                Return _timeOutTime
            End Get
            Set(value As String)
                _timeOutTime = value
            End Set
        End Property

        Public Property GamePeriods() As String
            Get
                Return _gamePeriods
            End Get
            Set(value As String)
                _gamePeriods = value
            End Set
        End Property

        Public Property ExtraTime() As String
            Get
                Return _extraTime
            End Get
            Set(value As String)
                _extraTime = value
            End Set
        End Property

        Public Property ExtraHalftime() As String
            Get
                Return _extraHalftime
            End Get
            Set(value As String)
                _extraHalftime = value
            End Set
        End Property

        Public Property ExtraTimeRounds() As String
            Get
                Return _extraTimeRounds
            End Get
            Set(value As String)
                _extraTimeRounds = value
            End Set
        End Property

        Public Property CupMatch() As Boolean
            Get
                Return _cupMatch
            End Get
            Set(value As Boolean)

            End Set
        End Property
    End Class

    Public Sub New(ByVal id As String, ByVal name As String)
        _uid = id
        _name = name
    End Sub
End Class
