﻿Public Class GameTimeEventArgs
    Inherits EventArgs
    Private ReadOnly _newGameTime As Integer
    Private ReadOnly _oldGameTime As Integer

    Public ReadOnly Property OldGameTime() As Integer
        Get
            Return _oldGameTime
        End Get
    End Property

    Public ReadOnly Property NewGameTime() As Integer
        Get
            Return _newGameTime
        End Get
    End Property

    Public Sub New(ByVal newGameTime As Integer, ByVal oldGameTime As Integer)
        _newGameTime = newGameTime
        _oldGameTime = oldGameTime
    End Sub
End Class
