﻿

Public Enum Team As Integer
    Home
    Guest
End Enum
Public Class PenaltyEventArgs
    Inherits EventArgs
    ReadOnly _PenaltyTime As Integer
    ReadOnly _PlayerNumber As Integer
    ReadOnly _PlayerName As String = Nothing
    ReadOnly _PenaltyTeam As Team
    ReadOnly _penaltyData As Penalty
    ReadOnly _editMode As Boolean = False

    Public ReadOnly Property PlayerName() As String
        Get
            Return _PlayerName
        End Get
    End Property

    Public ReadOnly Property PlayeNumber() As Integer
        Get
            Return _PlayerNumber
        End Get
    End Property

    Public ReadOnly Property PenaltyTime() As Integer
        Get
            Return _PenaltyTime
        End Get
    End Property
    Public ReadOnly Property PenaltyTeam() As Team
        Get
            Return _PenaltyTeam
        End Get
    End Property

    Public ReadOnly Property EditMode() As Boolean
        Get
            Return _editMode
        End Get
    End Property

    Public ReadOnly Property PenaltyData() As Penalty
        Get
            Return _penaltyData
        End Get
    End Property

    Public Sub New(ByVal PenaltyTime As Integer, ByVal PlayerNumber As Integer, ByVal PenaltyTeam As Team)
        _PenaltyTime = PenaltyTime
        _PlayerNumber = PlayerNumber
        _PenaltyTeam = PenaltyTeam
    End Sub

    Public Sub New(ByVal PenaltyTime As Integer, ByVal PlayerNumber As Integer, ByVal PenaltyTeam As Team, ByVal PlayerName As String)
        _PenaltyTime = PenaltyTime
        _PlayerNumber = PlayerNumber
        _PenaltyTeam = PenaltyTeam
        _PlayerName = PlayerName
    End Sub

    Public Sub New(penaltyData As Penalty, editMode As Boolean)
        _penaltyData = penaltyData
        _PenaltyTime = penaltyData.PenaltyTime
        _PlayerNumber = penaltyData.PlayerNumber
        _PenaltyTeam = penaltyData.PlayerTeam
        _PlayerName = penaltyData.PlayerName
        _editMode = editMode
    End Sub
End Class

Public Custom Event PenaltyTimeEvent As EventHandler
    AddHandler(value As EventHandler)

    End AddHandler
    RemoveHandler(value As EventHandler)

    End RemoveHandler
    RaiseEvent(sender As Object, e As PenaltyEventArgs)

    End RaiseEvent
End Event


