﻿Public Class PenaltyTimeFormatProvider
    Implements IFormatProvider, ICustomFormatter

    Public Function GetFormat(formatType As Type) As Object Implements IFormatProvider.GetFormat
        If formatType.Name = "ICustomFormatter" Then
            Return Me
        Else
            Return Nothing
        End If
    End Function

    Public Function Format(_format As String, arg As Object, formatProvider As IFormatProvider) As String Implements ICustomFormatter.Format
        If Not Me.Equals(formatProvider) Then
            Return Nothing
        End If

        If arg Is Nothing Then
            Return Nothing
        End If

        Dim resultStr As String

        Dim _minutes As Integer = 0
        Dim _seconds As Integer = arg / 1000
        If (_seconds > 59) Then
            Dim _convTime2Minutes = _seconds / 60
            _minutes = Convert.ToInt16(_convTime2Minutes.ToString.Split(",")(0))
            _seconds -= (_minutes * 60)
        End If

        resultStr = String.Format("{0}:{1}", _minutes.ToString.PadLeft(2, "0"), _seconds.ToString.PadLeft(2, "0"))

        Return resultStr
    End Function
End Class
